# eric4.DebugClients.Ruby.Completer

File implementing a command line completer class.

### Global Attributes

None

### Classes

Completer | Class implementing a command completer.

### Modules

None

### Functions

None

## Completer

Class implementing a command completer.

### Derived from

None

### Class Attributes

Operators
ReservedWords

### Class Methods

None

### Methods

complete | Public method to select the possible completions
initialize | constructor
select_message | Method used to pick completion candidates.

### Static Methods

None

#### Completer.complete

complete()

Public method to select the possible completions

input
  text to be completed (String)

Returns:
  list of possible completions (Array)

#### Completer.initialize

initialize()

constructor

binding
  binding object used to determine the possible completions

#### Completer.select_message

select_message(message, candidates)

Method used to pick completion candidates.

receiver
  object receiving the message
message
  message to be sent to object
candidates
  possible completion candidates

Returns:
  filtered list of candidates

Up